[arch-commits] CVS update of extra/gnome/gdm (5 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 16:39:25 UTC 2007


    Date: Sunday, April 22, 2007 @ 12:39:25
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gdm

Modified: PKGBUILD (1.55 -> 1.56) defaults.conf (1.3 -> 1.4) gdm (1.4 -> 1.5)
          gdm-stop.diff (1.3 -> 1.4) gdm.install (1.9 -> 1.10)

upgpkg: gdm 2.18.1-2
Move to /usr, add configuration migration stuff to install file


---------------+
 PKGBUILD      |   48 +++++++++++++++++++++++-------------------------
 defaults.conf |   46 +++++++++++++++++++++++-----------------------
 gdm           |    4 ++--
 gdm-stop.diff |    2 +-
 gdm.install   |   39 ++++++++++++++++-----------------------
 5 files changed, 65 insertions(+), 74 deletions(-)


Index: extra/gnome/gdm/PKGBUILD
diff -u extra/gnome/gdm/PKGBUILD:1.55 extra/gnome/gdm/PKGBUILD:1.56
--- extra/gnome/gdm/PKGBUILD:1.55	Mon Apr  9 07:49:43 2007
+++ extra/gnome/gdm/PKGBUILD	Sun Apr 22 12:39:24 2007
@@ -1,17 +1,17 @@
-# $Id: PKGBUILD,v 1.55 2007/04/09 11:49:43 jgc Exp $
-# Maintainer: arjan <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.56 2007/04/22 16:39:24 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=gdm
 pkgver=2.18.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Gnome Display Manager (a reimplementation of xdm)"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('pam' 'libdmx' 'tcp_wrappers>=7.6' 'libgnomecanvas>=2.14.0' 'librsvg>=2.16.1' 'gksu' 'popt' 'xorg-xsm' 'dbus-glib>=0.7.3')
-makedepends=('perlxml' 'zenity>=2.18.0' 'gnome-doc-utils' 'pkgconfig')
+depends=('pam' 'libdmx' 'tcp_wrappers>=7.6' 'libgnomecanvas>=2.14.0-2' 'librsvg>=2.16.1' 'gksu' 'popt' 'xorg-xsm' 'dbus-glib>=0.7.3' 'scrollkeeper')
+makedepends=('perlxml' 'zenity>=2.18.1' 'gnome-doc-utils>=0.10.3' 'pkgconfig')
 install=gdm.install
 url="http://www.gnome.org"
 groups=('gnome-extra')
-backup=('opt/gnome/etc/gdm/custom.conf' 'etc/pam.d/gdm' 'etc/pam.d/gdm-autologin')
+backup=('etc/gdm/custom.conf' 'etc/pam.d/gdm' 'etc/pam.d/gdm-autologin')
 options=('nolibtool')
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2
 	gdm
@@ -19,25 +19,27 @@
 	gdm.pam
 	gdm-autologin.pam
 	gdm-stop.diff)
-md5sums=('a80e26d98adbe485aac0f9aee64b92b1' '4b68eb5903ea75c99631c5d1c9183c93'\
-         '85d777af8a25931c288db06f9dc6ce6d' 'b20fe3c8487a039050986d60e45233a9'\
-         '157f32e089a7aab50732dc122e592b35' '04f3f240f845782a58450c131d9240bf')
+md5sums=('a80e26d98adbe485aac0f9aee64b92b1' 'b19adc4a4a6bddb72788d85fbd2078b8'
+         '682c0602f2f235085d5d9255428d7a35' 'b20fe3c8487a039050986d60e45233a9'
+	 '157f32e089a7aab50732dc122e592b35' 'aebb718505664be074531c8dfaf04dfc')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
   cd ${startdir}/src/${pkgname}-${pkgver}
 
   sed -i -e 's|/dev/tty%d|/dev/vc/%d|' daemon/getvt.c || return 1
 
   cd ${startdir}/src/${pkgname}-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
   if [ -f omf.make ]; then
+    find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
 
-
-  ./configure --prefix=/opt/gnome --with-pam-prefix=/etc --with-xevie=yes --disable-scrollkeeper --enable-secureremote
-  sed -i -e 's|${prefix}|/opt/gnome|' config.h || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --libexecdir=/usr/lib/gdm \
+              --localstatedir=/var/lib --disable-static \
+	      --with-xevie=yes --disable-scrollkeeper \
+	      --enable-secureremote
+  sed -i -e 's|${prefix}|/usr|' config.h || return 1
   make || return 1
   # patch to get rid of errors on shutdown/reboot
   patch -Np0 -i ${startdir}/src/gdm-stop.diff || return 1
@@ -50,21 +52,17 @@
   
   #init script and configuration
   install -m755 ${startdir}/src/gdm ${startdir}/pkg/etc/rc.d/ 
-  install -m444 ${startdir}/defaults.conf ${startdir}/pkg/opt/gnome/share/gdm/ 
+  install -m444 ${startdir}/defaults.conf ${startdir}/pkg/usr/share/gdm/ 
 
   #Remove the session .desktop file, we have this one in gnome-session now.
-  rm -rf ${startdir}/pkg/opt/gnome/share/xsessions
+  rm -rf ${startdir}/pkg/usr/share/xsessions
   
-  mkdir -p ${startdir}/pkg/var
-  mv ${startdir}/pkg/opt/gnome/var/log ${startdir}/pkg/var/log
-
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 
   # fix gdmsetup 
-  sed -i -e 's|^Exec=|Exec=gksu |' ${startdir}/pkg/opt/gnome/share/applications/gdmsetup.desktop
+  sed -i -e 's|^Exec=|Exec=gksu |' ${startdir}/pkg/usr/share/applications/gdmsetup.desktop
 
-  mkdir -p ${startdir}/pkg/usr/share
-  mv ${startdir}/pkg/opt/gnome/share/icons ${startdir}/pkg/usr/share/
+  mv ${startdir}/pkg/var/lib/log ${startdir}/pkg/var/log
 }
Index: extra/gnome/gdm/defaults.conf
diff -u extra/gnome/gdm/defaults.conf:1.3 extra/gnome/gdm/defaults.conf:1.4
--- extra/gnome/gdm/defaults.conf:1.3	Tue Dec 19 17:36:26 2006
+++ extra/gnome/gdm/defaults.conf	Sun Apr 22 12:39:24 2007
@@ -53,19 +53,19 @@
 
 # The GDM configuration program that is run from the login screen, you should
 # probably leave this alone.
-#Configurator=/opt/gnome/sbin/gdmsetup --disable-sound --disable-crash-dialog
+#Configurator=/usr/sbin/gdmsetup --disable-sound --disable-crash-dialog
 
 # The chooser program.  Must output the chosen host on stdout, probably you
 # should leave this alone.
-#Chooser=/opt/gnome/libexec/gdmchooser
+#Chooser=/usr/lib/gdm/gdmchooser
 
 # The greeter for local (non-xdmcp) logins.  Change gdmlogin to gdmgreeter to
 # get the new graphical greeter.
-#Greeter=/opt/gnome/libexec/gdmlogin
+#Greeter=/usr/lib/gdm/gdmlogin
 
 # The greeter for xdmcp logins, usually you want a less graphically intensive
 # greeter here so it's better to leave this with gdmlogin
-#RemoteGreeter=/opt/gnome/libexec/gdmlogin
+#RemoteGreeter=/usr/lib/gdm/gdmlogin
 
 # Launch the greeter with an additional list of colon separated GTK+ modules.
 # This is useful for enabling additional feature support e.g. GNOME
@@ -73,7 +73,7 @@
 # security holes
 AddGtkModules=true
 # By default, these are the accessibility modules.
-GtkModulesList=gail:atk-bridge:/opt/gnome/lib/gtk-2.0/modules/libdwellmouselistener:/opt/gnome/lib/gtk-2.0/modules/libkeymouselistener
+GtkModulesList=gail:atk-bridge:/usr/lib/gtk-2.0/modules/libdwellmouselistener:/usr/lib/gtk-2.0/modules/libkeymouselistener
 
 # Default path to set.  The profile scripts will likely override this value.
 # This value will be overridden with the value from /etc/default/login if it
@@ -105,33 +105,33 @@
 # Note that a post login script is run before a PreSession script.  It is run
 # after the login is successful and before any setup is run on behalf of the
 # user.
-PostLoginScriptDir=/opt/gnome/etc/gdm/PostLogin/
-PreSessionScriptDir=/opt/gnome/etc/gdm/PreSession/
-PostSessionScriptDir=/opt/gnome/etc/gdm/PostSession/
-DisplayInitDir=/opt/gnome/etc/gdm/Init
+PostLoginScriptDir=/etc/gdm/PostLogin/
+PreSessionScriptDir=/etc/gdm/PreSession/
+PostSessionScriptDir=/etc/gdm/PostSession/
+DisplayInitDir=/etc/gdm/Init
 # Distributions:  If you have some script that runs an X server in say VGA
 # mode, allowing a login, could you please send it to me?
 #FailsafeXServer=
 # if X keeps crashing on us we run this script.  The default one does a bunch
 # of cool stuff to figure out what to tell the user and such and can run an X
 # configuration program.
-XKeepsCrashing=/opt/gnome/etc/gdm/XKeepsCrashing
+XKeepsCrashing=/etc/gdm/XKeepsCrashing
 # Reboot, Halt and suspend commands, you can add different commands separated
 # by a semicolon.  GDM will use the first one it can find.
 RebootCommand=/usr/bin/reboot;/sbin/reboot;/sbin/shutdown -r now;/usr/sbin/shutdown -r now
 HaltCommand=/usr/bin/poweroff;/sbin/poweroff;/sbin/shutdown -h now;/usr/sbin/shutdown -h now
 SuspendCommand=/usr/bin/powersave -u 
 # Probably should not touch the below this is the standard setup.
-ServAuthDir=/opt/gnome/var/gdm
+ServAuthDir=/var/lib/gdm
 # This is our standard startup script.  A bit different from a normal X
 # session, but it shares a lot of stuff with that.  See the provided default
 # for more information.
-BaseXsession=/opt/gnome/etc/gdm/Xsession
+BaseXsession=/etc/gdm/Xsession
 # This is a directory where .desktop files describing the sessions live.  It is
 # really a PATH style variable since 2.4.4.2 to allow actual interoperability
 # with KDM.  Note that <sysconfdir>/dm/Sessions is there for backwards
 # compatibility reasons with 2.4.4.x.
-SessionDesktopDir=/etc/X11/sessions/:/opt/gnome/etc/dm/Sessions/:/opt/gnome/share/gdm/BuiltInSessions/:/opt/gnome/share/xsessions/
+SessionDesktopDir=/etc/X11/sessions/:/etc/dm/Sessions/:/usr/share/gdm/BuiltInSessions/:/usr/share/xsessions/
 # This is the default .desktop session.  One of the ones in SessionDesktopDir
 DefaultSession=gnome.desktop
 # Better leave this blank and HOME will be used.  You can use syntax ~/ below
@@ -273,13 +273,13 @@
 # But if you supply something here, the output of this script will be sent as
 # status of this host so that the chooser can display it.  You could for
 # example send load, or mail details for some user, or some such.
-#Willing=/opt/gnome/etc/gdm/Xwilling
+#Willing=/etc/gdm/Xwilling
 
 [gui]
 # The specific gtkrc file we use.  It should be the full path to the gtkrc that
 # we need.  Unless you need a specific gtkrc that doesn't correspond to a
 # specific theme, then just use the GtkTheme key.
-#GtkRC=/opt/gnome/share/themes/Default/gtk-2.0/gtkrc
+#GtkRC=/usr/share/themes/Default/gtk-2.0/gtkrc
 
 # The GTK+ theme to use for the GUI.
 GtkTheme=Clearlooks
@@ -323,7 +323,7 @@
 # greeter.
 Browser=false
 # The default picture in the browser.
-#DefaultFace=/opt/gnome/share/pixmaps/nobody.png
+#DefaultFace=/usr/share/pixmaps/nobody.png
 # User ID's less than the MinimalUID value will not be included in the face
 # browser or in the gdmselection list for Automatic/Timed login.  They will not
 # be displayed regardless of the settings for Include and Exclude.
@@ -346,16 +346,16 @@
 # non-empty value.
 #IncludeAll=false
 # If user or user.png exists in this dir it will be used as his picture.
-#GlobalFaceDir=/opt/gnome/share/pixmaps/faces/
+#GlobalFaceDir=/usr/share/pixmaps/faces/
 
 # File which contains the locale we show to the user.  Likely you want to use
 # the one shipped with GDM and edit it.  It is not a standard locale.alias
 # file, although GDM will be able to read a standard locale.alias file as well.
-#LocaleFile=/opt/gnome/etc/gdm/locale.alias
+#LocaleFile=/etc/gdm/locale.alias
 # Logo shown in the standard greeter.
-#Logo=/opt/gnome/share/pixmaps/gdm-foot-logo.png
+#Logo=/usr/share/pixmaps/gdm-foot-logo.png
 # Logo shown on file chooser button in gdmsetup (do not modify this value).
-#ChooserButtonLogo=/opt/gnome/share/pixmaps/gdm-foot-logo.png
+#ChooserButtonLogo=/usr/share/pixmaps/gdm-foot-logo.png
 # The standard greeter should shake if a user entered the wrong username or
 # password.  Kind of cool looking
 #Quiver=true
@@ -438,7 +438,7 @@
 # and specify just one theme.
 GraphicalTheme=circles
 GraphicalThemes=circles/:happygnome
-GraphicalThemeDir=/opt/gnome/share/gdm/themes/
+GraphicalThemeDir=/usr/share/gdm/themes/
 GraphicalThemeRand=false
 
 # If InfoMsgFile points to a file, the greeter will display the contents of the
@@ -477,9 +477,9 @@
 # or selects Run XDMCP chooser from the system menu
 [chooser]
 # Default image for hosts.
-#DefaultHostImg=/opt/gnome/share/pixmaps/nohost.png
+#DefaultHostImg=/usr/share/pixmaps/nohost.png
 # Directory with host images, they are named by the hosts: host or host.png.
-HostImageDir=/opt/gnome/share/hosts/
+HostImageDir=/usr/share/hosts/
 # Time we scan for hosts (well only the time we tell the user we are scanning
 # actually, we continue to listen even after this has expired).
 #ScanTime=4
Index: extra/gnome/gdm/gdm
diff -u extra/gnome/gdm/gdm:1.4 extra/gnome/gdm/gdm:1.5
--- extra/gnome/gdm/gdm:1.4	Fri Sep 23 09:20:39 2005
+++ extra/gnome/gdm/gdm	Sun Apr 22 12:39:25 2007
@@ -7,7 +7,7 @@
 case "$1" in
   start)
     stat_busy "Starting GDM"
-    /opt/gnome/sbin/gdm
+    /usr/sbin/gdm
     if [ $? -gt 0 ]; then
       stat_fail
     else
@@ -17,7 +17,7 @@
     ;;
  stop)
    stat_busy "Stopping GDM"
-   /opt/gnome/sbin/gdm-stop
+   /usr/sbin/gdm-stop
     if [ $? -gt 0 ]; then
      stat_fail
     else
Index: extra/gnome/gdm/gdm-stop.diff
diff -u extra/gnome/gdm/gdm-stop.diff:1.3 extra/gnome/gdm/gdm-stop.diff:1.4
--- extra/gnome/gdm/gdm-stop.diff:1.3	Sat Nov 11 04:55:30 2006
+++ extra/gnome/gdm/gdm-stop.diff	Sun Apr 22 12:39:25 2007
@@ -6,7 +6,7 @@
 -PIDFILE=`gdmflexiserver --command="GET_CONFIG daemon/PidFile"`
 -CHECKPIDFILE=`echo $PIDFILE | sed 's/^\([^ ]*\) .*$/\1/'`
 +if [ "x$(pidof X)" != "x" ]; then
-+	PIDFILE=`/opt/gnome/bin/gdmflexiserver --command="GET_CONFIG daemon/PidFile"`
++	PIDFILE=`/usr/bin/gdmflexiserver --command="GET_CONFIG daemon/PidFile"`
 +	CHECKPIDFILE=`echo $PIDFILE | sed 's/^\([^ ]*\) .*$/\1/'`
 +fi
 +
Index: extra/gnome/gdm/gdm.install
diff -u extra/gnome/gdm/gdm.install:1.9 extra/gnome/gdm/gdm.install:1.10
--- extra/gnome/gdm/gdm.install:1.9	Fri Feb  2 13:26:47 2007
+++ extra/gnome/gdm/gdm.install	Sun Apr 22 12:39:25 2007
@@ -1,21 +1,23 @@
 pkgname=gdm
 
 post_install() {
-  scrolls=(`pacman -Ql $pkgname | grep 'share/omf/.*\.omf$' | awk '{ print $2 }'`)
-
   getent group gdm >/dev/null 2>&1 || groupadd gdm
-  chown root.gdm opt/gnome/var/gdm > /dev/null 2>&1
-  chmod 1770 opt/gnome/var/gdm > /dev/null 2>&1
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
-  scrollkeeper-update -q -p /var/lib/scrollkeeper 
+  chown root.gdm /var/lib/gdm > /dev/null
+  chmod 1770 /var/lib/gdm > /dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  scrollkeeper-update -q -p var/lib/scrollkeeper 
   update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
 pre_upgrade() {
-  if [ -x /opt/gnome/etc/gdm.conf ]; then
-     mv opt/gnome/etc/gdm/gdm.conf opt/gnome/etc/gdm/gdm.conf.pacsave
+  if [ -f opt/gnome/etc/gdm/custom.conf ]; then
+     sed -e 's|/opt/gnome/libexec|usr/lib/gdm|g' \
+         -e 's|/opt/gnome/etc|/etc|g' \
+         -e 's|/opt/gnome/|/usr/|g' \
+     opt/gnome/etc/gdm/custom.conf > etc/gdm/custom.conf
+     mv opt/gnome/etc/gdm/custom.conf opt/gnome/etc/gdm/custom.conf.pacsave
   fi
   pre_remove $1
 }
@@ -25,28 +27,19 @@
 }
 
 pre_remove() {
-  scrolls=(`pacman -Ql $pkgname | grep 'share/omf/.*\.omf$' | awk '{ print $2 }'`)
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
-
-
-  for scroll in "${scrolls[@]}" ; do
-    scrollkeeper-uninstall -q -p var/lib/scrollkeeper "$scroll"
-  done
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
 
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {
-  if getent group gdm > /dev/null 2>&1; then
-    groupdel gdm > /dev/null 2>&1
-  fi
-  rm -r opt/gnome/var/gdm > /dev/null 2>&1
   update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }




More information about the arch-commits mailing list